%global mod_name Flask-WTF

Name:           python-flask-wtf
Version:        1.0.1
Release:        %mkrel 1
Summary:        Simple integration of Flask and WTForms
Group:          Development/Python
License:        BSD
URL:            https://github.com/lepture/flask-wtf
Source0:        https://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-wtforms > 1.0
BuildRequires:  python3-setuptools
BuildRequires:  python3-flask
BuildRequires:  python3-nose

Requires:       python-wtforms > 1.0

%description
Flask-WTF offers simple integration with WTForms. This integration
includes optional CSRF handling for greater security.

%package -n python3-flask-wtf
Summary:        Simple integration of Flask and WTForms
Group:          Development/Python
Requires:       python3-wtforms > 1.0

%description -n python3-flask-wtf
Flask-WTF offers simple integration with WTForms. This integration
includes optional CSRF handling for greater security.

%prep
%setup -q -n %{mod_name}-%{version}

rm -f docs/index.rst.orig

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_wtf

%files -n python3-flask-wtf -f %{pyproject_files}
%doc README.rst



%changelog
* Wed Sep 07 2022 neoclust <neoclust> 1.0.1-1.mga9
+ Revision: 1884725
- New version  1.0.1

* Fri Apr 01 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1838229
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.0.0-1.mga9
+ Revision: 1784745
- version 1.0.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.14.3-2.mga9
+ Revision: 1732965
- Rebuild for python 3.9

* Sun Jun 28 2020 joequant <joequant> 0.14.3-1.mga8
+ Revision: 1599755
- update to 0.14.3

* Sun Feb 16 2020 umeabot <umeabot> 0.14.2-3.mga8
+ Revision: 1533109
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.14.2-2.mga8
+ Revision: 1443367
- rebuild for python-3.8
- drop python2 subpkg

* Fri Apr 19 2019 wally <wally> 0.14.2-1.mga7
+ Revision: 1393396
- new version 0.14.2

* Tue Jan 08 2019 ngompa <ngompa> 0.10.0-10.mga7
+ Revision: 1352702
- Rebuild for Python 3.7

* Sun Sep 30 2018 ngompa <ngompa> 0.10.0-9.mga7
+ Revision: 1312650
- Enable Python 3 subpackage

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-8.mga7
+ Revision: 1288904
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 ngompa <ngompa> 0.10.0-7.mga7
+ Revision: 1222681
- Drop tests as they require internet access
- Rebuild to get new Provides

* Sat May 28 2016 ngompa <ngompa> 0.10.0-6.mga6
+ Revision: 1019158
- imported package python-flask-wtf


* Sat May 28 2016 Neal Gompa <ngompa13@gmail.com> - 0.10.0-6
- Port to Mageia

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jul 17 2014 Tim Flink <tflink@fedoraproject.org> 0.10.0-2
- Adding missing BuildRequires for %%check
- disabling %%check on python3 due to missing builds
- disabling %%check for rawhide and f21 due to RHBZ 1105819

* Thu Jul 17 2014 Tim Flink <tflink@fedoraproject.org> 0.10.0-1
- Adding support for python-wtforms >= 2.0 to fix RHBZ 1120888
- added %%check

* Wed May 21 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.9.5-1
- Updated to new source
- Add python3 support

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 09 2012 Tim Flink <tflink@fedoraproject.org> - 0.8-1
- Upgrade to upstream 0.8

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 4 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.5.2-3
- Added python-wtforms as requires.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.5.2-1
- Initial RPM release
